"use client";
import { useRouter } from "next/navigation";
import { useUser } from "@/context/UserContext";
import React, { useEffect } from "react";

const AuthGuard = ({ children }: { children: React.ReactNode }) => {
  const router = useRouter();
  const { user } = useUser(); // Benutzer aus dem globalen Zustand abrufen

  useEffect(() => {
    if (!user) {
      router.push("/login"); // Weiterleitung zur Login-Seite
    }
  }, [user, router]);

  if (!user) {
    return <p>Lade...</p>; // Anzeige während des Ladens oder Weiterleitens
  }

  return <>{children}</>;
};

export default AuthGuard;
